<NotepadPlus>
    <UserLang name="LoopToGoScript" ext="ltgs ltgl" udlVersion="2.1">
        <Settings>
            <Global caseIgnored="no" allowFoldOfComments="no" foldCompact="no" forcePureLC="0" decimalSeparator="0" />
            <Prefix Keywords1="no" Keywords2="no" Keywords3="no" Keywords4="no" Keywords5="no" Keywords6="no" Keywords7="no" Keywords8="no" />
        </Settings>
        <KeywordLists>
            <Keywords name="Comments">00// 00# 01 02 03 04</Keywords>
            <Keywords name="Numbers, prefix1"></Keywords>
            <Keywords name="Numbers, prefix2"></Keywords>
            <Keywords name="Numbers, extras1"></Keywords>
            <Keywords name="Numbers, extras2"></Keywords>
            <Keywords name="Numbers, suffix1"></Keywords>
            <Keywords name="Numbers, suffix2"></Keywords>
            <Keywords name="Numbers, range"></Keywords>
            <Keywords name="Operators1">&amp; * / + - = &lt; &gt;</Keywords>
            <Keywords name="Operators2"></Keywords>
            <Keywords name="Folders in code1, open">if ifNot for function while namespace {</Keywords>
            <Keywords name="Folders in code1, middle">else</Keywords>
            <Keywords name="Folders in code1, close">endIf endFor endFunction endWhile endNamespace }</Keywords>
            <Keywords name="Folders in code2, open"></Keywords>
            <Keywords name="Folders in code2, middle"></Keywords>
            <Keywords name="Folders in code2, close"></Keywords>
            <Keywords name="Folders in comment, open"></Keywords>
            <Keywords name="Folders in comment, middle"></Keywords>
            <Keywords name="Folders in comment, close"></Keywords>
            <Keywords name="Keywords1">activeAnalyseCpuUsage&#x000D;&#x000A;addChain&#x000D;&#x000A;addChangeTempoMarker&#x000D;&#x000A;addCustomGridLine&#x000D;&#x000A;addFunctionMarker&#x000D;&#x000A;addGoToMarker&#x000D;&#x000A;addJamMarker&#x000D;&#x000A;addMidiMapper&#x000D;&#x000A;addPauseMarker&#x000D;&#x000A;addPlayLoop&#x000D;&#x000A;addPlugin&#x000D;&#x000A;addRecordLoop&#x000D;&#x000A;addScriptMarker&#x000D;&#x000A;addSectionMarker&#x000D;&#x000A;addSongLine&#x000D;&#x000A;addStopMarker&#x000D;&#x000A;addTemporaryFunctionMarker&#x000D;&#x000A;addTemporaryGoToMarker&#x000D;&#x000A;addTemporaryLockLoopMarker&#x000D;&#x000A;addTemporaryPauseMarker&#x000D;&#x000A;addTemporaryScriptMarker&#x000D;&#x000A;addTemporarySectionMarker&#x000D;&#x000A;addTemporaryStopMarker&#x000D;&#x000A;addTrack&#x000D;&#x000A;addVirtualMidiDevice&#x000D;&#x000A;alias&#x000D;&#x000A;armRecord&#x000D;&#x000A;callFunction&#x000D;&#x000A;clearSelectedLoops&#x000D;&#x000A;compareSongs&#x000D;&#x000A;convertDBToLinear&#x000D;&#x000A;convertDecimalsToHex&#x000D;&#x000A;convertLinearToDB&#x000D;&#x000A;convertLinearToQuadratic&#x000D;&#x000A;convertStringToHex&#x000D;&#x000A;createOscConnection&#x000D;&#x000A;cutLoop&#x000D;&#x000A;deleteAllLoops&#x000D;&#x000A;deleteAllMarkers&#x000D;&#x000A;deleteAllMidiMappers&#x000D;&#x000A;deleteLoop&#x000D;&#x000A;deleteMarker&#x000D;&#x000A;deleteSelectedLoops&#x000D;&#x000A;deleteSelectedMarkers&#x000D;&#x000A;deleteTrack&#x000D;&#x000A;deleteVirtualMidiDevice&#x000D;&#x000A;doNothing&#x000D;&#x000A;duplicateTrack&#x000D;&#x000A;else&#x000D;&#x000A;endFor&#x000D;&#x000A;endForEach&#x000D;&#x000A;endFunction&#x000D;&#x000A;endIf&#x000D;&#x000A;endNamespace&#x000D;&#x000A;endScript&#x000D;&#x000A;endScriptDynamic&#x000D;&#x000A;endWhile&#x000D;&#x000A;exitFunction&#x000D;&#x000A;for&#x000D;&#x000A;forEach&#x000D;&#x000A;function&#x000D;&#x000A;getBankInfo&#x000D;&#x000A;getCharacterAt&#x000D;&#x000A;getKaraokeInfo&#x000D;&#x000A;getLoopColor&#x000D;&#x000A;getLoopEnd&#x000D;&#x000A;getLoopEndOfData&#x000D;&#x000A;getLoopIDForTrack&#x000D;&#x000A;getLoopJamState&#x000D;&#x000A;getLoopLink&#x000D;&#x000A;getLoopLockState&#x000D;&#x000A;getLoopName&#x000D;&#x000A;getLoopNextJamState&#x000D;&#x000A;getLoopOverdubRatio&#x000D;&#x000A;getLoopStart&#x000D;&#x000A;getLoopStartOfData&#x000D;&#x000A;getLoopTrack&#x000D;&#x000A;getLoopType&#x000D;&#x000A;getMainVolume&#x000D;&#x000A;getMarkerActiveState&#x000D;&#x000A;getMarkerBar&#x000D;&#x000A;getMarkerName&#x000D;&#x000A;getMarkerParameter&#x000D;&#x000A;getMarkerType&#x000D;&#x000A;getNbCharacters&#x000D;&#x000A;getNbLoopsForTrack&#x000D;&#x000A;getNbOfSongsInPlaylist&#x000D;&#x000A;getScriptState&#x000D;&#x000A;getSongBarBetweenChords&#x000D;&#x000A;getSongFirstChordPosition&#x000D;&#x000A;getSongFromPlaylist&#x000D;&#x000A;getSongSymbol&#x000D;&#x000A;getSongTextScaleFactor&#x000D;&#x000A;getTempo&#x000D;&#x000A;getTrackActiveState&#x000D;&#x000A;getTrackColor&#x000D;&#x000A;getTrackDisplayState&#x000D;&#x000A;getTrackPosition&#x000D;&#x000A;getTrackVolume&#x000D;&#x000A;getTrackVolumeDB&#x000D;&#x000A;getTrackVolumeFader&#x000D;&#x000A;getVolumeSliderMaxValue&#x000D;&#x000A;globalVariable&#x000D;&#x000A;if&#x000D;&#x000A;ifNot&#x000D;&#x000A;jumpTo&#x000D;&#x000A;killScript&#x000D;&#x000A;loadScript&#x000D;&#x000A;loadScriptDynamic&#x000D;&#x000A;loadSong&#x000D;&#x000A;namespace&#x000D;&#x000A;parentVariable&#x000D;&#x000A;playMidi&#x000D;&#x000A;playMidiNoteOff&#x000D;&#x000A;playMidiNoteOn&#x000D;&#x000A;print&#x000D;&#x000A;printCpuUsage&#x000D;&#x000A;printInBlockingMessageBox&#x000D;&#x000A;printInInformationLabel&#x000D;&#x000A;printInMessageBox&#x000D;&#x000A;printTemporaryMessage&#x000D;&#x000A;quantizeTrack&#x000D;&#x000A;regexReplace&#x000D;&#x000A;removeAllCustomGridLines&#x000D;&#x000A;removeCustomGridLine&#x000D;&#x000A;reorderChains&#x000D;&#x000A;resetCpuUsage&#x000D;&#x000A;resetThresholds&#x000D;&#x000A;saveTestResults&#x000D;&#x000A;selectLoop&#x000D;&#x000A;selectMarker&#x000D;&#x000A;selectTrack&#x000D;&#x000A;sendMidiCC&#x000D;&#x000A;sendMidiNoteOff&#x000D;&#x000A;sendMidiNoteOn&#x000D;&#x000A;sendMidiPC&#x000D;&#x000A;sendMidiRawBytes&#x000D;&#x000A;sendOscMessage&#x000D;&#x000A;setAudioInputs&#x000D;&#x000A;setAudioOutputs&#x000D;&#x000A;setAudioTapTo&#x000D;&#x000A;setBar&#x000D;&#x000A;setBufferTransitionWidth&#x000D;&#x000A;setChainColor&#x000D;&#x000A;setChainPan&#x000D;&#x000A;setChainRecordPlayMonitorMode&#x000D;&#x000A;setChainStopMonitorMode&#x000D;&#x000A;setChainType&#x000D;&#x000A;setChainVolume&#x000D;&#x000A;setChainVolumeDB&#x000D;&#x000A;setClearAllLoopsAtStartRecordBar1&#x000D;&#x000A;setFreeTempoLowerLimit&#x000D;&#x000A;setFreeTempoMode&#x000D;&#x000A;setGridLinesVisibility&#x000D;&#x000A;setLoopDataThreshold&#x000D;&#x000A;setLoopDelay&#x000D;&#x000A;setLoopFadeIn&#x000D;&#x000A;setLoopFadeOut&#x000D;&#x000A;setLoopJamState&#x000D;&#x000A;setLoopLockState&#x000D;&#x000A;setLoopNextJamState&#x000D;&#x000A;setLoopOverdubRatio&#x000D;&#x000A;setLoopStartAndEnd&#x000D;&#x000A;setLoopVolume&#x000D;&#x000A;setMainVolume&#x000D;&#x000A;setMarkerActiveState&#x000D;&#x000A;setMarkerBar&#x000D;&#x000A;setMarkerColor&#x000D;&#x000A;setMarkerName&#x000D;&#x000A;setMasterTapeContinousRecording&#x000D;&#x000A;setMetronomeAllSongsVolume&#x000D;&#x000A;setMetronomeAlwaysOnPlay&#x000D;&#x000A;setMetronomeAlwaysOnRecord&#x000D;&#x000A;setMetronomeFirstTickFile&#x000D;&#x000A;setMetronomeNbTickAfterPlay&#x000D;&#x000A;setMetronomeNbTickAfterRecord&#x000D;&#x000A;setMetronomeNbTickBeforePlay&#x000D;&#x000A;setMetronomeNbTickBeforeRecord&#x000D;&#x000A;setMetronomeOtherTicksFile&#x000D;&#x000A;setMetronomeVolume&#x000D;&#x000A;setMidiInputs&#x000D;&#x000A;setMidiOutputs&#x000D;&#x000A;setMidiPreRecordBar&#x000D;&#x000A;setMuteLoopWhileRecording&#x000D;&#x000A;setOtherChainOutput&#x000D;&#x000A;setPluginActiveState&#x000D;&#x000A;setPrintingErrorOff&#x000D;&#x000A;setPrintingErrorOn&#x000D;&#x000A;setPrintingOff&#x000D;&#x000A;setPrintingOn&#x000D;&#x000A;setScriptBar&#x000D;&#x000A;setScriptConcurrencyMode&#x000D;&#x000A;setScriptName&#x000D;&#x000A;setScriptStopMode&#x000D;&#x000A;setSongBarBetweenChords&#x000D;&#x000A;setSongFirstChordPosition&#x000D;&#x000A;setSongSymbol&#x000D;&#x000A;setSongTextScaleFactor&#x000D;&#x000A;setStartBar&#x000D;&#x000A;setTempo&#x000D;&#x000A;setTestName&#x000D;&#x000A;setThresholds&#x000D;&#x000A;setTimeStampOff&#x000D;&#x000A;setTimeStampOn&#x000D;&#x000A;setTrackActiveState&#x000D;&#x000A;setTrackDisplayState&#x000D;&#x000A;setTrackPan&#x000D;&#x000A;setTrackRecordPlayMonitorMode&#x000D;&#x000A;setTrackStopMonitorMode&#x000D;&#x000A;setTrackVolume&#x000D;&#x000A;setTrackVolumeDB&#x000D;&#x000A;setUserArgs&#x000D;&#x000A;shareChain&#x000D;&#x000A;shortcut&#x000D;&#x000A;shortcutByID&#x000D;&#x000A;showErrorAndLogConsole&#x000D;&#x000A;skipIfAlreadyLoaded&#x000D;&#x000A;spawnScript&#x000D;&#x000A;startJamMode&#x000D;&#x000A;unselectAllLoops&#x000D;&#x000A;unselectAllMarkers&#x000D;&#x000A;unshareChain&#x000D;&#x000A;userShortcut&#x000D;&#x000A;variable&#x000D;&#x000A;variableInputPrompt&#x000D;&#x000A;waitDelta&#x000D;&#x000A;waitDeltaTime&#x000D;&#x000A;waitForScriptCompletion&#x000D;&#x000A;waitForSection&#x000D;&#x000A;waitForSongPause&#x000D;&#x000A;waitForSongStop&#x000D;&#x000A;waitTilScriptBar&#x000D;&#x000A;waitTilSongBar&#x000D;&#x000A;while&#x000D;&#x000A;</Keywords>
            <Keywords name="Keywords2"></Keywords>
            <Keywords name="Keywords3">$arg1, $arg2, $arg3, $arg4, $arg5, $arg6,&#x000D;&#x000A;$arg7, $arg8, $arg9, $arg10,&#x000D;&#x000A;$bottomNumber&#x000D;&#x000A;$currentSection&#x000D;&#x000A;$currentSectionEnd&#x000D;&#x000A;$currentSectionName&#x000D;&#x000A;$currentSectionStart&#x000D;&#x000A;$eventLoopID&#x000D;&#x000A;$isArmedForRecording&#x000D;&#x000A;$isInJamMode&#x000D;&#x000A;$isPaused&#x000D;&#x000A;$isPlaying&#x000D;&#x000A;$isRecording&#x000D;&#x000A;$lastCreatedLoopID&#x000D;&#x000A;$lastCreatedMarkerID&#x000D;&#x000A;$lastCreatedPlayLoopID&#x000D;&#x000A;$lastCreatedRecordLoopID&#x000D;&#x000A;$loopEvent&#x000D;&#x000A;$loopID1, $loopID2, $loopID3, $loopID4, $loopID5, $loopID6, $loopID7, $loopID8, $loopID9, $loopID10&#x000D;&#x000A;$mainVolume&#x000D;&#x000A;$markerID1, $markerID2, $markerID3, $markerID4, $markerID5, $markerID6, $markerID7, $markerID8, $markerID9, $markerID10&#x000D;&#x000A;$namespaceScope&#x000D;&#x000A;$nbArgs&#x000D;&#x000A;$nbLoops&#x000D;&#x000A;$nbMarkers&#x000D;&#x000A;$nbOfSelectedLoops&#x000D;&#x000A;$nbSections&#x000D;&#x000A;$nbSongLines&#x000D;&#x000A;$nbTracks&#x000D;&#x000A;$nbUserArgs&#x000D;&#x000A;$nextSection&#x000D;&#x000A;$oscFullAddress&#x000D;&#x000A;$oscLevel1, $oscLevel2, $oscLevel3, $oscLevel4, $oscLevel5, $oscLevel6, $oscLevel7, $oscLevel8, $oscLevel9, $oscLevel10&#x000D;&#x000A;$oscNbLevels&#x000D;&#x000A;$scriptBar&#x000D;&#x000A;$scriptFileName&#x000D;&#x000A;$scriptID&#x000D;&#x000A;$scriptLineNumber&#x000D;&#x000A;$scriptLoopID&#x000D;&#x000A;$scriptName&#x000D;&#x000A;$sectionEnd1, $sectionEnd2, $sectionEnd3, $sectionEnd4, $sectionEnd5, $sectionEnd6, $sectionEnd7, $sectionEnd8, $sectionEnd9, $sectionEnd10&#x000D;&#x000A;$sectionName1, $sectionName2, $sectionName3, $sectionName4, $sectionName5, $sectionName6, $sectionName7, $sectionName8, $sectionName9, $sectionName10&#x000D;&#x000A;$sectionStart1, $sectionStart2, $sectionStart3, $sectionStart4, $sectionStart5, $sectionStart6, $sectionStart7, $sectionStart8, $sectionStart9, $sectionStart10&#x000D;&#x000A;$selectedChain&#x000D;&#x000A;$selectedLoopEnd&#x000D;&#x000A;$selectedLoopID&#x000D;&#x000A;$selectedLoopID1, $selectedLoopID2, $selectedLoopID3, $selectedLoopID4, $selectedLoopID5, $selectedLoopID6, $selectedLoopID7, $selectedLoopID8, $selectedLoopID9, $selectedLoopID10&#x000D;&#x000A;$selectedLoopName&#x000D;&#x000A;$selectedLoopStart&#x000D;&#x000A;$selectedSectionEnd&#x000D;&#x000A;$selectedSectionName&#x000D;&#x000A;$selectedSectionStart&#x000D;&#x000A;$selectedTrack&#x000D;&#x000A;$songAuthor&#x000D;&#x000A;$songBar&#x000D;&#x000A;$songLine1, $songLine2, $songLine3, $songLine4, $songLine5, $songLine6, $songLine7, $songLine8, $songLine9, $songLine10&#x000D;&#x000A;$songLineType1, $songLineType2, $songLineType3, $songLineType4, $songLineType5, $songLineType6, $songLineType7, $songLineType8, $songLineType9, $songLineType10&#x000D;&#x000A;$songName,&#x000D;&#x000A;$songStartBar&#x000D;&#x000A;$songStartTick&#x000D;&#x000A;$songTick&#x000D;&#x000A;$songTitle,&#x000D;&#x000A;$sysTime&#x000D;&#x000A;$tempo&#x000D;&#x000A;$topNumber&#x000D;&#x000A;$trackID1, $trackID2, $trackID3, $trackID4, $trackID5, $trackID6, $trackID7, $trackID8, $trackID9, $trackID10&#x000D;&#x000A;$trackName1, $trackName2, $trackName3, $trackName4, $trackName5, $trackName6, $trackName7, $trackName8, $trackName9, $trackName10&#x000D;&#x000A;$userArg1, $userArg2, $userArg3, $userArg4, $userArg5, $userArg6, $userArg7, $userArg8, $userArg9, $userArg10</Keywords>
            <Keywords name="Keywords4"></Keywords>
            <Keywords name="Keywords5">debug&#x000D;&#x000A;debugIncreaseIndentation&#x000D;&#x000A;debugDecreaseIndentation</Keywords>
            <Keywords name="Keywords6"></Keywords>
            <Keywords name="Keywords7">armRecordTrack1&#x000D;&#x000A;armRecordTrack2&#x000D;&#x000A;armRecordTrack3&#x000D;&#x000A;armRecordTrack4&#x000D;&#x000A;delete&#x000D;&#x000A;erase&#x000D;&#x000A;false&#x000D;&#x000A;gotoStartTick&#x000D;&#x000A;jamMode&#x000D;&#x000A;jumpSection1&#x000D;&#x000A;jumpSection2&#x000D;&#x000A;jumpSection3&#x000D;&#x000A;jumpSection4&#x000D;&#x000A;newSong&#x000D;&#x000A;outOfJamMode&#x000D;&#x000A;pause&#x000D;&#x000A;play &#x000D;&#x000A;record &#x000D;&#x000A;rewind&#x000D;&#x000A;rewindAll&#x000D;&#x000A;selectAll&#x000D;&#x000A;selectChain1&#x000D;&#x000A;selectChain2&#x000D;&#x000A;selectChain3&#x000D;&#x000A;selectChain4&#x000D;&#x000A;setTickHere &#x000D;&#x000A;stop &#x000D;&#x000A;toggleGoTo&#x000D;&#x000A;togglePlayPause &#x000D;&#x000A;toggleRecordPause&#x000D;&#x000A;true&#x000D;&#x000A;</Keywords>
            <Keywords name="Keywords8"></Keywords>
            <Keywords name="Delimiters">00 01 02 03 04 05 06 07 08 09 10 11 12 13 14 15 16 17 18 19 20 21 22 23</Keywords>
        </KeywordLists>
        <Styles>
            <WordsStyle name="DEFAULT" fgColor="000000" bgColor="FFFFFF" colorStyle="1" fontStyle="0" nesting="0" />
            <WordsStyle name="COMMENTS" fgColor="000000" bgColor="FFFFFF" fontStyle="0" nesting="0" />
            <WordsStyle name="LINE COMMENTS" fgColor="006F37" bgColor="FFFFFF" colorStyle="1" fontStyle="0" nesting="0" />
            <WordsStyle name="NUMBERS" fgColor="000000" bgColor="FFFFFF" colorStyle="1" fontStyle="0" nesting="0" />
            <WordsStyle name="KEYWORDS1" fgColor="006B9F" bgColor="FFFFFF" colorStyle="1" fontStyle="1" nesting="0" />
            <WordsStyle name="KEYWORDS2" fgColor="000000" bgColor="FFFFFF" fontStyle="0" nesting="0" />
            <WordsStyle name="KEYWORDS3" fgColor="CE0000" bgColor="FFFFFF" colorStyle="1" fontStyle="0" nesting="0" />
            <WordsStyle name="KEYWORDS4" fgColor="000000" bgColor="FFFFFF" fontStyle="0" nesting="0" />
            <WordsStyle name="KEYWORDS5" fgColor="6F6F6F" bgColor="FFFFFF" fontStyle="0" nesting="0" />
            <WordsStyle name="KEYWORDS6" fgColor="000000" bgColor="FFFFFF" fontStyle="0" nesting="0" />
            <WordsStyle name="KEYWORDS7" fgColor="5E00BB" bgColor="FFFFFF" colorStyle="1" fontStyle="3" nesting="0" />
            <WordsStyle name="KEYWORDS8" fgColor="000000" bgColor="FFFFFF" fontStyle="0" nesting="0" />
            <WordsStyle name="OPERATORS" fgColor="007500" bgColor="FFFFFF" colorStyle="1" fontStyle="0" nesting="0" />
            <WordsStyle name="FOLDER IN CODE1" fgColor="0000FF" bgColor="FFFFFF" colorStyle="1" fontStyle="0" nesting="0" />
            <WordsStyle name="FOLDER IN CODE2" fgColor="000000" bgColor="FFFFFF" fontStyle="0" nesting="0" />
            <WordsStyle name="FOLDER IN COMMENT" fgColor="0000FF" bgColor="FFFFFF" colorStyle="1" fontStyle="0" nesting="0" />
            <WordsStyle name="DELIMITERS1" fgColor="000000" bgColor="FFFFFF" fontStyle="0" nesting="0" />
            <WordsStyle name="DELIMITERS2" fgColor="000000" bgColor="FFFFFF" fontStyle="0" nesting="0" />
            <WordsStyle name="DELIMITERS3" fgColor="000000" bgColor="FFFFFF" fontStyle="0" nesting="0" />
            <WordsStyle name="DELIMITERS4" fgColor="000000" bgColor="FFFFFF" fontStyle="0" nesting="0" />
            <WordsStyle name="DELIMITERS5" fgColor="000000" bgColor="FFFFFF" fontStyle="0" nesting="0" />
            <WordsStyle name="DELIMITERS6" fgColor="000000" bgColor="FFFFFF" fontStyle="0" nesting="0" />
            <WordsStyle name="DELIMITERS7" fgColor="000000" bgColor="FFFFFF" fontStyle="0" nesting="0" />
            <WordsStyle name="DELIMITERS8" fgColor="000000" bgColor="FFFFFF" fontStyle="0" nesting="0" />
        </Styles>
    </UserLang>
</NotepadPlus>
